{
  pkgs,
  config,
  ...
}: {
  programs.starship.enable = true;
  programs.zsh = {
    enable = true;
    dotDir = ".config/zsh";
    history = {
      path = "${config.xdg.dataHome}/zsh/zsh_history";
    };
    autocd = true;
    autosuggestion.enable = true;
    completionInit = ''
      autoload -U compinit && compinit
      zstyle ':completion:*' matcher-list 'm:{a-z}={A-Za-z}'
      zstyle ':completion:*' menu select
    '';
    historySubstringSearch = {
      enable = true;
      searchUpKey = "^[[5~";
      searchDownKey = "^[[6~";
    };
    syntaxHighlighting.enable = true;
  };
  home.shellAliases = {
    rm = "${pkgs.trash-cli}/bin/trash-put";
  };
}
